Mandate requests

Get a mandate request

GET
/api/mandate-requests/{requestId}

The draft an outside agent asked the shopper to sign, who is asking, and whether it is signed yet.

Path Parameters

requestId*string

Mandate request id.

Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/api/mandate-requests/7d1f0c2a-3b4e-4f5a-9c6d-8e7f1a2b3c4d"
{  "id": "7d1f0c2a-3b4e-4f5a-9c6d-8e7f1a2b3c4d",  "request": "A black hoodie in size M under $80",  "draft": {    "item": "black hoodie",    "category": "hoodie",    "quantity": 1,    "maxPrice": 80,    "currency": "USD",    "attributes": {      "color": "black",      "size": "M"    },    "mustAsk": []  },  "ready": {    "ok": true  },  "agent": {    "name": "Claude",    "verified": false  },  "status": "PENDING",  "mandateId": null,  "expiresAt": "2026-10-21T18:00:00.000Z"}